<?php
use application\models\MyModel;

//namespace application\models\hclinica;

class DetalleHistoriaModel extends MyModel
{
    public function __construct()
    {
        parent::__construct();
        $this->db_server=$this->conexion;
        $this->table="detallehistoria";
        $this->idTable="idDetalleHistoria";
        //$this->camposEncrypt=array("user","pass");
    }
    public function guardarDetalleHistoria($objeto)
    {
        //$this->guardarObjeto($objeto);
        $this->db_server->insert($this->table,$objeto);
    }
    public function getListDetalleByidEncHistoria($idEncHistoria)
    {
        $sql="SELECT * FROM {$this->table} WHERE idEncHistoria=? AND status=?";
        return $this->getListRowsAssoc($sql,array($idEncHistoria,1));
    }
}

